#include <iostream>
#include <iomanip>

#include "Nilsson.hh"
#include "Pairing.hh"
#include "ParticleRotor.hh"
#include "LevelScheme.hh"
#include "InputFileReader.hh"
#include "CLI.hh"

int main(int argc, const char **argv) {
  if (argc < 2) {
      PRM::CLI cli;
      cli.Prompt();
  }
  else {
    PRM::InputFileReader reader(argv[1]);
    reader.RunCalculation();
  }
  return 0;
  
}
